# Class SharedMemorySocket.Advapi32.SECURITY_ATTRIBUTES

java.lang.Object
com.sun.jna.Structure
org.mariadb.jdbc.internal.io.socket.SharedMemorySocket.Advapi32.SECURITY_ATTRIBUTES

Enclosing interface:
  `SharedMemorySocket.Advapi32`

public static class SharedMemorySocket.Advapi32.SECURITY_ATTRIBUTES extends com.sun.jna.Structure

## Nested Class Summary

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`com.sun.jna.Structure.ByReference, com.sun.jna.Structure.ByValue, com.sun.jna.Structure.FieldOrder, com.sun.jna.Structure.StructField`

## Field Summary

Fields
Modifier and Type
Field
Description
`boolean`
`bInheritHandle`
`com.sun.jna.Pointer`
`lpSecurityDescriptor`
`int`
`nLength`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

## Constructor Summary

Constructors
Constructor
Description
`SECURITY_ATTRIBUTES()`

## Method Summary

Modifier and Type
Method
Description
`protected List<String>`
`getFieldOrder()`

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### nLength

public int nLength

### lpSecurityDescriptor

public com.sun.jna.Pointer lpSecurityDescriptor

### bInheritHandle

public boolean bInheritHandle

## Constructor Details

### SECURITY_ATTRIBUTES

public SECURITY_ATTRIBUTES()

## Method Details

### getFieldOrder

protected List<String> getFieldOrder()

Overrides:
  `getFieldOrder` in class `com.sun.jna.Structure`